[arch-commits] Commit in sqlite3/trunk (PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Sun Aug 3 07:54:56 EDT 2008


    Date: Sunday, August 3, 2008 @ 07:54:56
  Author: andyrtr
Revision: 7602

upgpkg: sqlite3 3.6.0-1
    added manpage, to testing due to possible breaks

Modified:
  sqlite3/trunk/PKGBUILD

----------+
 PKGBUILD |   18 ++++++++++--------
 1 file changed, 10 insertions(+), 8 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-08-03 11:47:10 UTC (rev 7601)
+++ PKGBUILD	2008-08-03 11:54:56 UTC (rev 7602)
@@ -2,30 +2,32 @@
 # Maintainer: Andreas Radke <andyrtr at archlinux.org>
 # Contributor: Tom Newsom <Jeepster at gmx.co.uk>
 pkgname=sqlite3
-pkgver=3.5.9
-pkgrel=2
+pkgver=3.6.0
+pkgrel=1
 pkgdesc="A C library that implements an SQL database engine"
 arch=('i686' 'x86_64')
 license=('custom')
 url="http://www.sqlite.org/"
 depends=('readline')
+makedepends=('tcl')
 conflicts=('sqlite')
 replaces=('sqlite')
 source=(http://www.sqlite.org/sqlite-$pkgver.tar.gz
 	sqlite-3.5.8-pkgconfig-version.patch
 	license.txt)
 options=(!libtool)
-md5sums=('b58412904b42fe49e5a281e99da0fd72'
+md5sums=('a16e9b1e0b557d40624d678bed901b0f'
 	 '025965a176173eaf21877f6daed088d4'
          'c1cdbc5544034d9012e421e75a5e4890')
 
 build() {
-  cd $startdir/src/sqlite-$pkgver
-  patch -Np1 -i ${startdir}/src/sqlite-3.5.8-pkgconfig-version.patch || return 1
-  ./configure --prefix=/usr --enable-threadsafe || return 1
+  cd ${srcdir}/sqlite-${pkgver}
+  patch -Np1 -i ${srcdir}/sqlite-3.5.8-pkgconfig-version.patch || return 1
+  ./configure --prefix=/usr --enable-threadsafe  --disable-static || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install || return 1
+  make DESTDIR=${pkgdir} install
+  install -Dm0644 sqlite3.1 ${pkgdir}/usr/share/man/man1/sqlite3.1
 
   # license
-  install -Dm644 $startdir/src/license.txt ${startdir}/pkg/usr/share/licenses/${pkgname}/license.txt || return 1
+  install -Dm644 ${srcdir}/license.txt ${pkgdir}/usr/share/licenses/${pkgname}/license.txt
 }




More information about the arch-commits mailing list